Bug 977010 - [abrt] gnome-terminal-3.8.3-1.fc19: update_edit_menu_cb: Process /usr/libexec/gnome-terminal-server was killed by signal 11 (SIGSEGV)
[abrt] gnome-terminal-3.8.3-1.fc19: update_edit_menu_cb: Process /usr/libexec...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:b4fe89922126e36007481bbc24f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 11:10 EDT by Antoine Martin
Modified: 2016-01-15 12:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.89 KB, text/plain)
2013-06-22 11:10 EDT, Antoine Martin
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-22 11:11 EDT, Antoine Martin
no flags Details
File: core_backtrace (2.81 KB, text/plain)
2013-06-22 11:11 EDT, Antoine Martin
no flags Details
File: dso_list (9.93 KB, text/plain)
2013-06-22 11:11 EDT, Antoine Martin
no flags Details
File: environ (1005 bytes, text/plain)
2013-06-22 11:11 EDT, Antoine Martin
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-22 11:11 EDT, Antoine Martin
no flags Details
File: maps (50.63 KB, text/plain)
2013-06-22 11:11 EDT, Antoine Martin
no flags Details
File: open_fds (2.35 KB, text/plain)
2013-06-22 11:11 EDT, Antoine Martin
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2013-06-22 11:11 EDT, Antoine Martin
no flags Details
File: var_log_messages (346 bytes, text/plain)
2013-06-22 11:11 EDT, Antoine Martin
no flags Details

  None (edit)
Description Antoine Martin 2013-06-22 11:10:52 EDT
Description of problem:
had 8 tabs open, was not even looking at that window, was not focused

Version-Release number of selected component:
gnome-terminal-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: update_edit_menu_cb
executable:     /usr/libexec/gnome-terminal-server
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 update_edit_menu_cb at terminal-window.c:986
 #1 request_targets_received_func at gtkclipboard.c:1292
 #2 selection_received at gtkclipboard.c:939
 #6 g_signal_emit_by_name at gsignal.c:3424
 #7 gtk_selection_retrieval_report at gtkselection.c:2983
 #8 _gtk_selection_notify at gtkselection.c:2787
 #9 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 gtk_widget_event_internal at gtkwidget.c:6714
 #14 gtk_widget_event at gtkwidget.c:6371
Comment 1 Antoine Martin 2013-06-22 11:10:57 EDT
Created attachment 764105 [details]
File: backtrace
Comment 2 Antoine Martin 2013-06-22 11:11:01 EDT
Created attachment 764106 [details]
File: cgroup
Comment 3 Antoine Martin 2013-06-22 11:11:05 EDT
Created attachment 764107 [details]
File: core_backtrace
Comment 4 Antoine Martin 2013-06-22 11:11:10 EDT
Created attachment 764108 [details]
File: dso_list
Comment 5 Antoine Martin 2013-06-22 11:11:14 EDT
Created attachment 764109 [details]
File: environ
Comment 6 Antoine Martin 2013-06-22 11:11:18 EDT
Created attachment 764110 [details]
File: limits
Comment 7 Antoine Martin 2013-06-22 11:11:23 EDT
Created attachment 764111 [details]
File: maps
Comment 8 Antoine Martin 2013-06-22 11:11:27 EDT
Created attachment 764112 [details]
File: open_fds
Comment 9 Antoine Martin 2013-06-22 11:11:31 EDT
Created attachment 764113 [details]
File: proc_pid_status
Comment 10 Antoine Martin 2013-06-22 11:11:35 EDT
Created attachment 764114 [details]
File: var_log_messages
Comment 11 Christian Persch (GNOME) 2013-06-22 13:40:09 EDT
Thread 1 (Thread 0x7fb3b42e4a00 (LWP 11516)):
#0  update_edit_menu_cb (clipboard=0xbf2ec0, targets=0x100b800, n_targets=10, window=0x0) at terminal-window.c:986
        priv = <optimized out>
        action = <optimized out>
        can_paste = <optimized out>
        can_paste_uris = <optimized out>

window=0x0 is totally impossible here; the code makes sure it's always a valid TerminalWindow (adding a ref, even!). No idea what's going on here.
Comment 12 Zeeshan Ali 2014-08-11 10:55:53 EDT
(In reply to Christian Persch (GNOME) from comment #11)
> Thread 1 (Thread 0x7fb3b42e4a00 (LWP 11516)):
> #0  update_edit_menu_cb (clipboard=0xbf2ec0, targets=0x100b800,
> n_targets=10, window=0x0) at terminal-window.c:986
>         priv = <optimized out>
>         action = <optimized out>
>         can_paste = <optimized out>
>         can_paste_uris = <optimized out>
> 
> window=0x0 is totally impossible here; the code makes sure it's always a
> valid TerminalWindow (adding a ref, even!). No idea what's going on here.

Someone pointed out in RHEL bug that these patches should help:

https://git.gnome.org/browse/gnome-terminal/commit/?id=9f2ba3d5b642973a21e7916fe1a60a5c44126720

https://git.gnome.org/browse/gnome-terminal/commit/?id=ea9e71771be2afa2986d2a93d4d03fe301645456
Comment 13 Antoine Martin 2014-08-11 11:24:25 EDT
Something clipboard related could well be the cause, it would explain why the window was not even being used, and I do play with the clipboard a lot whilst testing xpra.
Comment 14 James Hartsock 2014-08-27 23:14:37 EDT
So can we move forward with getting these upstream commits into Fedora (and RHEL)?
Comment 15 Fedora End Of Life 2015-01-09 13:29:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 10:39:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.